Package org.apache.aries.transaction.parsing

## Class AnnotationProcessor

- java.lang.Object
- - org.apache.aries.transaction.parsing.AnnotationProcessor

All Implemented Interfaces:
  `org.apache.aries.blueprint.BeanProcessor`, `org.apache.aries.blueprint.Processor`

    public class AnnotationProcessor
    extends java.lang.Object
    implements org.apache.aries.blueprint.BeanProcessor

Adds the transactional interceptor if Transaction annotation is present on bean class or superclasses.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.aries.blueprint.BeanProcessor

`org.apache.aries.blueprint.BeanProcessor.BeanCreator`

### Constructor Summary

Constructors
`AnnotationProcessor​(org.apache.aries.blueprint.ComponentDefinitionRegistry cdr, javax.transaction.TransactionManager tm, org.osgi.service.coordinator.Coordinator coordinator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterDestroy​(java.lang.Object arg0, java.lang.String arg1)`
`java.lang.Object` `afterInit​(java.lang.Object arg0, java.lang.String arg1, org.apache.aries.blueprint.BeanProcessor.BeanCreator arg2, org.osgi.service.blueprint.reflect.BeanMetadata arg3)`
`void` `beforeDestroy​(java.lang.Object arg0, java.lang.String arg1)`
`java.lang.Object` `beforeInit​(java.lang.Object bean, java.lang.String beanName, org.apache.aries.blueprint.BeanProcessor.BeanCreator beanCreator, org.osgi.service.blueprint.reflect.BeanMetadata beanData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationProcessor

    public AnnotationProcessor​(org.apache.aries.blueprint.ComponentDefinitionRegistry cdr,
                               javax.transaction.TransactionManager tm,
                               org.osgi.service.coordinator.Coordinator coordinator)

### Method Detail

#### beforeDestroy

    public void beforeDestroy​(java.lang.Object arg0,
                              java.lang.String arg1)

Specified by:
  `beforeDestroy` in interface `org.apache.aries.blueprint.BeanProcessor`

#### afterDestroy

    public void afterDestroy​(java.lang.Object arg0,
                             java.lang.String arg1)

Specified by:
  `afterDestroy` in interface `org.apache.aries.blueprint.BeanProcessor`

#### beforeInit

    public java.lang.Object beforeInit​(java.lang.Object bean,
                                       java.lang.String beanName,
                                       org.apache.aries.blueprint.BeanProcessor.BeanCreator beanCreator,
                                       org.osgi.service.blueprint.reflect.BeanMetadata beanData)

Specified by:
  `beforeInit` in interface `org.apache.aries.blueprint.BeanProcessor`

#### afterInit

    public java.lang.Object afterInit​(java.lang.Object arg0,
                                      java.lang.String arg1,
                                      org.apache.aries.blueprint.BeanProcessor.BeanCreator arg2,
                                      org.osgi.service.blueprint.reflect.BeanMetadata arg3)

Specified by:
  `afterInit` in interface `org.apache.aries.blueprint.BeanProcessor`